
package wsestampillas;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the wsestampillas package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _GetEstampillas_QNAME = new QName("http://ws.estampilla.realtechltda.com/", "getEstampillas");
    private final static QName _GetTramaEstampilla_QNAME = new QName("http://ws.estampilla.realtechltda.com/", "getTramaEstampilla");
    private final static QName _GetEstampillasResponse_QNAME = new QName("http://ws.estampilla.realtechltda.com/", "getEstampillasResponse");
    private final static QName _GetTramaEstampillaResponse_QNAME = new QName("http://ws.estampilla.realtechltda.com/", "getTramaEstampillaResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: wsestampillas
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link GetEstampillas }
     * 
     */
    public GetEstampillas createGetEstampillas() {
        return new GetEstampillas();
    }

    /**
     * Create an instance of {@link GetEstampillasResponse }
     * 
     */
    public GetEstampillasResponse createGetEstampillasResponse() {
        return new GetEstampillasResponse();
    }

    /**
     * Create an instance of {@link GetTramaEstampilla }
     * 
     */
    public GetTramaEstampilla createGetTramaEstampilla() {
        return new GetTramaEstampilla();
    }

    /**
     * Create an instance of {@link GetTramaEstampillaResponse }
     * 
     */
    public GetTramaEstampillaResponse createGetTramaEstampillaResponse() {
        return new GetTramaEstampillaResponse();
    }

    /**
     * Create an instance of {@link TramaImpreso }
     * 
     */
    public TramaImpreso createTramaImpreso() {
        return new TramaImpreso();
    }

    /**
     * Create an instance of {@link Respuesta }
     * 
     */
    public Respuesta createRespuesta() {
        return new Respuesta();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetEstampillas }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.estampilla.realtechltda.com/", name = "getEstampillas")
    public JAXBElement<GetEstampillas> createGetEstampillas(GetEstampillas value) {
        return new JAXBElement<GetEstampillas>(_GetEstampillas_QNAME, GetEstampillas.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetTramaEstampilla }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.estampilla.realtechltda.com/", name = "getTramaEstampilla")
    public JAXBElement<GetTramaEstampilla> createGetTramaEstampilla(GetTramaEstampilla value) {
        return new JAXBElement<GetTramaEstampilla>(_GetTramaEstampilla_QNAME, GetTramaEstampilla.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetEstampillasResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.estampilla.realtechltda.com/", name = "getEstampillasResponse")
    public JAXBElement<GetEstampillasResponse> createGetEstampillasResponse(GetEstampillasResponse value) {
        return new JAXBElement<GetEstampillasResponse>(_GetEstampillasResponse_QNAME, GetEstampillasResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetTramaEstampillaResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ws.estampilla.realtechltda.com/", name = "getTramaEstampillaResponse")
    public JAXBElement<GetTramaEstampillaResponse> createGetTramaEstampillaResponse(GetTramaEstampillaResponse value) {
        return new JAXBElement<GetTramaEstampillaResponse>(_GetTramaEstampillaResponse_QNAME, GetTramaEstampillaResponse.class, null, value);
    }

}
